---
schema_version: "1"
id: 580bd00b467a8658e2ee63a1dd18194d515cf84552ce8448e51d8762187c823c
title: Upload a New File Version
collection: legacydeveloper
version: current
locale: en-us
portal_url: https://docs.salesforce.com/legacydeveloper/current/en-us/uiapi/ui_api_resources_records_contentdocument.md
canonical_url: https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_resources_records_contentdocument.htm
source_site: developer.salesforce.com
content_type: documentation
content_hash: 75e71ef0fa602bb55874eba6076a8924dcfe5db0a066055b38ecb1a2014cf58c
description: Upload a new document or image version.
---
# Upload a New File Version

Upload a new document or image version.

Resource

/ui-api/records/content-documents/${contentDocumentId}/content-versions

contentDocumentId—The ID of a previously uploaded file.

Available Version

56.0

HTTP Method

POST

To upload a file or a new file version, provide the binary file in a multipart/form-data body part where name="fileData". See [Upload Binary Files](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_features_records_binary_upload.htm "If a record has a Base64 field, you can upload binary data to the field when you create or update a record.") and [Upload Files](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_features_records_content_document.htm "Upload documents and images or update the file with a new version.").

Request Parameters for POST

| Parameter Name | Type | Description | Required or Optional | Available Version |
| --- | --- | --- | --- | --- |
| description | String | A description of the document or image to be uploaded. | Optional | 56.0 |
| title | String | The title of the document or image to be uploaded. | Optional | 56.0 |

Request body for POST

Example for Uploading a New Version of a File

POST /ui-api/records/content-documents/0692L00000BDVevQAH/content-versions

{
  "description": "Version 2 of the product image",
  "title": "product\_image"
}

Properties

| Name | Type | Description | Required or Optional | Available Version |
| --- | --- | --- | --- | --- |
| description | String | A description of the document or image to be uploaded. | Optional | 56.0 |
| title | String | The title of the document or image to be uploaded. | Optional | 56.0 |

Response Body

[Content Document Composite](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_responses_contentdocumentcomposite.htm "The file and its relationship to a record.")